weka.core

## Interface TechnicalInformationHandler

- All Known Implementing Classes:
    AdaBoostM1, AdditiveRegression, ADNode, Agrawal, Apriori, Bagging, BallTree, BIFReader, BIRCHCluster, BottomUpConstructor, BoundaryVisualizer, BVDecompose, BVDecomposeSegCVSub, Canopy, CfsSubsetEval, ChebyshevDistance, ClassificationViaRegression, Cobweb, ConjugateGradientOptimization, CoverTree, CVParameterSelection, DecisionTable, Discretize, EuclideanDistance, FarthestFirst, FPGrowth, GaussianProcesses, HoeffdingTree, IBk, IteratedLovinsStemmer, J48, JRip, K2, K2, KDTree, KernelFilter, KMeansInpiredMethod, KStar, LED24, LMT, Logistic, LogitBoost, LovinsStemmer, LWL, M5Base, M5P, M5Rules, ManhattanDistance, MedianDistanceFromArbitraryPoint, MedianOfWidestDimension, MedianOfWidestDimension, MergeNominalValues, MiddleOutConstructor, MidPointOfWidestDimension, MinkowskiDistance, NaiveBayes, NaiveBayesMultinomial, NaiveBayesMultinomialUpdateable, NaiveBayesUpdateable, NominalToBinary, OneR, Optimization, PairedCorrectedTTester, PART, PKIDiscretize, PointsClosestToFurthestChildren, Puk, RandomForest, RandomProjection, RandomSubSpace, RegSMO, RegSMOImproved, ReliefFAttributeEval, SimpleKMeans, SimpleLogistic, SimulatedAnnealing, SimulatedAnnealing, SlidingMidPointOfWidestSide, SMO, SMOreg, Stacking, StringKernel, TabuSearch, TabuSearch, TAN, TAN, TopDownConstructor, Vote, VotedPerceptron, WrapperSubsetEval

      public interface TechnicalInformationHandler

  For classes that are based on some kind of publications. They return a TechnicalInformation object filled with the data of the publication.
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)
  See Also:
    `TechnicalInformation`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TechnicalInformation` | `getTechnicalInformation()` Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

- - ### Method Detail

    - #### getTechnicalInformation

          TechnicalInformation getTechnicalInformation()

      Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
      Returns:
        the technical information about this class